Bug 805397 - watchdog cann't set the realtime scheduler
watchdog cann't set the realtime scheduler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: watchdog (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ales Ledvinka
Fedora Extras Quality Assurance
:
: 915270 (view as bug list)
Depends On:
Blocks: 1027821
  Show dependency treegraph
 
Reported: 2012-03-21 03:05 EDT by Michael Tatarinov
Modified: 2017-03-21 07:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1027821 (view as bug list)
Environment:
Last Closed: 2013-11-07 07:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Tatarinov 2012-03-21 03:05:12 EDT
Description of problem:
watchdog cann't set the realtime scheduler

Version-Release number of selected component (if applicable):
watchdog-5.9-2.fc15.i686

How reproducible:
Always

Steps to Reproduce:
1. to set in /etc/watchdog.conf (it's enabled by default)
realtime                = yes
priority                = 1
2. systemctl restart watchdog.service
  
Actual results:
Mar 21 10:59:11 n3331 watchdog[6053]: stopping daemon (5.9)
Mar 21 10:59:16 n3331 watchdog[6285]: starting daemon (5.9):
Mar 21 10:59:16 n3331 watchdog[6285]: int=1s realtime=yes sync=no soft=no mla=0 mem=0
Mar 21 10:59:16 n3331 watchdog[6285]: ping: no machine to check
Mar 21 10:59:16 n3331 watchdog[6285]: file: no file to check
Mar 21 10:59:16 n3331 watchdog[6285]: pidfile: no server process to check
Mar 21 10:59:16 n3331 watchdog[6285]: interface: no interface to check
Mar 21 10:59:16 n3331 watchdog[6285]: test=none(0) repair=none(0) alive=none heartbeat=none temp=none to=root no_act=no
Mar 21 10:59:16 n3331 watchdog[6285]: cannot set scheduler (errno = 1 = 'Operation not permitted')


Expected results:
watchdog should set the realtime scheduler
Comment 1 JM 2012-10-24 12:17:31 EDT
Same problem here (watchdog-5.12-1.fc17.x86_64)

-----------
Oct 24 18:13:53 foo watchdog[8328]: cannot set scheduler (errno = 1 = 'Operation not permitted')
-----------
Comment 2 Michael Tatarinov 2012-10-25 00:53:11 EDT
it's easy to fix, see bug 810801
Comment 3 JM 2012-12-03 11:57:23 EST
(In reply to comment #2)
> it's easy to fix, see bug 810801

Nice! I placed a

ControlGroup=cpu:/ 

in the [Service] section of the watchdog.service file and now it works.
Comment 4 Fedora End Of Life 2013-07-03 22:58:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Ales Ledvinka 2013-11-07 07:04:31 EST
*** Bug 915270 has been marked as a duplicate of this bug. ***
Comment 6 Sergey Onanchenko 2017-03-21 07:28:02 EDT
Hi2All,

Just faced the same on CentOS 7.3 (3.10.0-514.10.2.el7.x86_64 kernel)

KVM VM under Proxmox.


watchdog-5.13-11.el7.x86_64

[root@tools multi-user.target.wants]# systemctl start watchdog
[root@tools multi-user.target.wants]# systemctl status watchdog
● watchdog.service - watchdog daemon
   Loaded: loaded (/usr/lib/systemd/system/watchdog.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2017-03-21 13:00:14 EET; 4s ago
  Process: 7504 ExecStart=/usr/sbin/watchdog (code=exited, status=0/SUCCESS)
 Main PID: 7506 (watchdog)
   Memory: 356.0K
   CGroup: /system.slice/watchdog.service
           └─7506 /usr/sbin/watchdog

Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: starting daemon (5.13):
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: int=1s realtime=yes sync=no soft=no mla=0 mem=0
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: ping: no machine to check
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: file: no file to check
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: pidfile: no server process to check
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: interface: no interface to check
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: test=none(0) repair=none(0) alive=/dev/watchdog heartbeat=none temp=none to=root no_act=no
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: hardware watchdog identity: i6300ESB timer
Mar 21 13:00:14 tools.vm.compservice.in.ua systemd[1]: Started watchdog daemon.
Mar 21 13:00:14 tools.vm.compservice.in.ua watchdog[7506]: cannot set scheduler (errno = 1 = 'Operation not permitted')

But what is strange, 
there is "ControlGroup=cpu:/" in target by default

[root@tools etc]# cat /etc/systemd/system/multi-user.target.wants/watchdog.service 
[Unit]
Description=watchdog daemon
# man systemd.special
# auto added After=basic.target

[Service]
Type=forking
ExecStart=/usr/sbin/watchdog
ControlGroup=cpu:/

[Install]
WantedBy=multi-user.target

Note You need to log in before you can comment on or make changes to this bug.